void longPress() {
  boolean continuedToHold = false;
  if (WiFi.status() == WL_CONNECTED) {
    for (int j = 0; j < 15; j++) {//slow flash the LED
      digitalWrite(LEDpin, !digitalRead(LEDpin));
      delay(200);
    }
  }
  digitalWrite(LEDpin, LOW);

  if (digitalRead(EXTWAKEpin) == LOW) {//continued to hold
    for (int j = 0; j < 10; j++) {// fast flash
      digitalWrite(LEDpin, !digitalRead(LEDpin));
      delay(100);
    }
    digitalWrite(LEDpin, LOW);
    continuedToHold = true;
  }

  if (WiFi.status() == WL_CONNECTED && !continuedToHold) {
    const char* host = "trigBoard";
    ESP8266WebServer httpServer(80);
    ESP8266HTTPUpdateServer httpUpdater;
    MDNS.begin(host);
    httpUpdater.setup(&httpServer);
    httpServer.begin();
    MDNS.addService("http", "tcp", 80);
    Serial.printf("HTTPUpdateServer ready! Open http://%s.local/update in your browser\n", host);
    unsigned int blinkCounter = 0;
    for (unsigned int i = 0; i < 120000; i++) {//2 min to update or external trigger will reset board
      httpServer.handleClient();
      blinkCounter++;
      if (blinkCounter > 1000) {//slow flash of LED
        digitalWrite(LEDpin, !digitalRead(LEDpin));
        blinkCounter = 0;
      }

      delay(1);//using a 1ms increment

      //if you trigger the board externally now, you can reset the WiFi Settings

    }
  }
  if (continuedToHold) {
    resetFlag = true;
    WiFiConnection();
  }
}
