boolean readFile() {
  //read configuration from FS json
  Serial.println("mounting FS...");
  //SPIFFS.format();
  if (SPIFFS.begin()) {
    Serial.println("mounted file system");
    if (SPIFFS.exists("/config.json")) {
      //file exists, reading and loading
      Serial.println("reading config file");
      File configFile = SPIFFS.open("/config.json", "r");
      if (configFile) {
        Serial.println("opened config file");
        size_t size = configFile.size();
        // Allocate a buffer to store contents of the file.
        //std::unique_ptr<char[]> buf(new char[size]);

        //configFile.readBytes(buf.get(), size);
        StaticJsonDocument<512> jsonBuffer;
        DeserializationError error = deserializeJson(jsonBuffer, configFile);
        if (error){
          Serial.println(F("Failed to read file"));
          return false;
        }
        //int value = jsonBuffer["value"];

        serializeJson(jsonBuffer, Serial);

        
          Serial.println("\nparsed json");
          if (jsonBuffer.containsKey("triggerMessage") && jsonBuffer.containsKey("trigBoardName") && jsonBuffer.containsKey("tokenKey")) {
            strcpy(triggerMessage, jsonBuffer["triggerMessage"]);
            strcpy(trigBoardName, jsonBuffer["trigBoardName"]);
            strcpy(tokenKey, jsonBuffer["tokenKey"]);
            Serial.println("\nkeys found - all good");
            return true;
          }
          else {
            Serial.println("can't find keys in memory");
            return false;
          }


      }
    }
    else {
      Serial.println("Config does exist yet");
      return false;
    }
  } else {
    Serial.println("failed to mount FS");
    return false;
  }
  //end read



}
